The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Install an RPM - Blank / Empty List

Discussion in 'General Discussion' started by randomuser, Jul 1, 2005.

  1. randomuser

    randomuser Well-Known Member

    Joined:
    Jun 25, 2005
    Messages:
    147
    Likes Received:
    0
    Trophy Points:
    16
    Hi,

    I have seen the past threads on this issue, but the fixes that worked for others are not working for me or are simply no longer worth the effort without attempting to ask for help first.

    1. rpm --rebuilddb does nothing to fix the problem
    2. running up2date / registering with RHN - up2date is not available on the host, and after installing numerous dependencies, I ultimately ran into needing an older version of Python (1.5), which requires outdated libraries that currently do not exist on the system. I could spend more time tracking down these older libraries, but frankly I am growing tired of installing dependency after dependency only to be met with more dependencies. I really really wish yum was available on this host, but it is not:

    # cat /proc/version
    Linux version 2.4.20-021stab028.3.777-smp (st@current.eng.sw.ru) (gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)) #1 SMP Wed Feb 2 21:32:05 MSK 2005

    # cat /etc/redhat-release
    Red Hat Enterprise Linux AS release 3 (Taroon Update 1)

    /scripts/rpmup* also did nothing to fix the problem (I saw these mentioned in another thread).


    If anyone has any suggestions I am all ears. Thank you.
     
  2. randomuser

    randomuser Well-Known Member

    Joined:
    Jun 25, 2005
    Messages:
    147
    Likes Received:
    0
    Trophy Points:
    16
    I'm really hoping to get a reply on this one. Bump
     
  3. xeonex

    xeonex Well-Known Member

    Joined:
    Mar 20, 2005
    Messages:
    56
    Likes Received:
    0
    Trophy Points:
    6
    The up2date error is annoying, but doesn't seem to be affecting up2date's function. this is a very known issue scince may when rhel u5 came out i think this will be fixed for u6
    you can find more at ev1forums or searching for "Invalid metapkg id emacs-nox" on google
     
  4. randomuser

    randomuser Well-Known Member

    Joined:
    Jun 25, 2005
    Messages:
    147
    Likes Received:
    0
    Trophy Points:
    16
    Thanks for the info - but I'm not getting an up2date error. up2date unfortunately doesn't exist on the host at all. I tried installing it, but it required so many dependencies I thought I'd come here first for another opinion on either getting it on the host, or populating the RPM list by another means.
     
  5. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Without up2date you're not going to be able to use the WHM functionality to install rpms - because it uses up2date. When you install cPanel you do need to have the standard OS update mechanism installed and running. If you don't have up2date working, and are not updating all your server apps and libraries by hand, you most likely have a vulnerable server by now too.

    I'd suggest that you consider either getting up2date working yourself or getting support from RedHat to work it out for you (since you're presumably paying them for the license to run RHAS3).
     
  6. randomuser

    randomuser Well-Known Member

    Joined:
    Jun 25, 2005
    Messages:
    147
    Likes Received:
    0
    Trophy Points:
    16
    Thanks chirpy
     
Loading...

Share This Page